MONGORESTORE(1)

NAME
mongorestore - the Mongo restoration tool

SYNOPSIS
mongorestore [OPTIONS]

DESCRIPTION

mongorestore is a tool to use the output from mongodump to restore a database.

OPTIONS

--help
    show usage information

--version
    show version information

-h, --host HOST
    server to connect to (default HOST=localhost)

server port. Can also use --host hostname:port

--ipv6
    enable IPv6 support (disabled by default)

-u|--username USERNAME
    specify user to log in as

-p|--password PASSWORD
    specify password of user (notice there is no space)

-d, --db DATABASE
    database to use

-c, --c COLLECTION
    collection to use

--dbpath PATH
    directly access mongod data files in this path, instead of connecting to a mongod instance

--directoryperdb
    if dbpath specified, each db is in a separate directory

--objcheck
    validate object before inserting

--filter arg
    filter to apply before inserting

--drop
    drop each collection before import

--oplogReplay
    replay oplog for point-in-time restore

COPYRIGHT

Copyright 2007-2011 10gen

SEE ALSO
For more information, please refer to the MongoDB wiki, available at http://www.mongodb.org.

AUTHOR
Kristina Chodorow